# A simple program that does a simple linear regression give a set of points
# Note: This program is originally implemented in C++ by David C. Swaim II
# URL: http://www.oocities.org/david_swaim/cpp/linreg.htm

import sys
from array import *
from linreg import *

def main():
    point2DList = []
    point2DList.append(Point2D(71, 160))
    point2DList.append(Point2D(73, 183))
    point2DList.append(Point2D(64, 154))
    point2DList.append(Point2D(65, 168))
    point2DList.append(Point2D(61, 159))
    point2DList.append(Point2D(70, 180))
    point2DList.append(Point2D(65, 145))
    point2DList.append(Point2D(72, 210))
    point2DList.append(Point2D(63, 132))
    point2DList.append(Point2D(67, 168))
    point2DList.append(Point2D(64, 141))

    lr = SimpleLinearRegression(point2DList, len(point2DList))
    lr.calculate()

    print 'f(x) =', lr.a, '+', lr.b, '* x'
    print 'Coefficient of Determination = ', lr.coefD
    print 'Coefficient of Correlation = ', lr.coefC
    print 'Standard Error of Estimate = ', lr.stdError
    print 'Mean Squared Error of Estimate = ', lr.meanSquaredError

if __name__ == "__main__":
    sys.exit(main())
  
  
  

